=== debian/changelog ===
calamares (3.2.19.1-0ubuntu1) focal; urgency=medium

  * New upstream release. 
  * Update copyright file. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Mon, 24 Feb 2020 13:13:33 -0800
