=== src/branding/CMakeLists.txt ===
calamares_add_branding_subdirectory( default )
