=== debian/changelog ===
calamares (3.2.20-0xneon+18.04+bionic+build30) bionic; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 14 Apr 2020 19:11:44 +0000

calamares (3.2.20-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 27 Feb 2020 23:39:09 +0000

calamares (3.2.19.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 24 Feb 2020 23:39:06 +0000

calamares (3.2.19-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Feb 2020 23:39:07 +0000

calamares (3.2.18-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Jan 2020 23:39:05 +0000

calamares (3.2.17.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 Dec 2019 23:39:05 +0000

calamares (3.2.17-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 28 Nov 2019 23:39:05 +0000

calamares (3.2.16-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 01 Nov 2019 23:39:05 +0000

calamares (3.2.15-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Oct 2019 23:39:05 +0000

calamares (3.2.14-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Oct 2019 23:39:16 +0000

calamares (3.2.13-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 30 Aug 2019 23:39:08 +0000

calamares (3.2.12-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Aug 2019 23:39:06 +0000

calamares (3.2.11-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 05 Jul 2019 23:39:06 +0000

calamares (3.2.10-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 28 Jun 2019 12:24:36 +0000

calamares (3.2.9-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 03 Jun 2019 23:39:06 +0000

calamares (3.2.8-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 May 2019 23:39:04 +0000

calamares (3.2.7-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 27 Apr 2019 23:39:06 +0000

calamares (3.2.6-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 Apr 2019 23:39:04 +0000

calamares (3.2.5-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Apr 2019 23:42:41 +0000

calamares (3.2.4-0neon) bionic; urgency=medium

  [ Jonathan Carter ]
  * Fix minor style issue in debian/patches/use-sudo-instead-of-pkexec

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Feb 2019 16:34:10 +0000
