=== debian/rules ===
#!/usr/bin/make -f

# Hardening options, see: https://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_PYTHONQT=ON -DKDE_INSTALL_USE_QT_SYS_PATHS=ON

# Some test don't work well, we don't need to run them at package build time.
override_dh_auto_test:
